import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { MenuItem } from 'primeng-lts/api';
import { Calendar } from 'primeng-lts/calendar';
import { AlDateRangeSelectorComponent, DateRangeSelection, SelectFixedRange } from '../al-date-range-selector/al-date-range-selector.component';
import * as i0 from "@angular/core";
export declare class AlContentHeaderComponent implements OnChanges {
    /**
    *  Contains the css class to show icon
    */
    icon: string;
    iconConfig: {
        name: string;
        cssClasses: string;
    } | null;
    /**
     *  Main title in the header
     */
    title: string;
    descriptionHeader: string;
    /**
     *  Absence of this property indicates the + button will not display.
     */
    showAddButton: boolean;
    disableAddButton: boolean;
    addButtonTooltip: string;
    addMenuItems: MenuItem[];
    defaultDate: Date[] | null;
    /**
     *  Defines the quantity of the selection, valid values are "single" and "range".from to
     *  Absence of this property indicates calender will not display.
     */
    showCalendar?: 'single' | 'range' | 'al-date-range-selector';
    showTime: boolean;
    dateTimePlaceholder: string;
    defaultFixedRanges: SelectFixedRange;
    returnTimeFrame: boolean;
    showTimePicker: boolean;
    placeholder: string;
    selectorTitle: string;
    customRangeTitle: string;
    calendarMaxDaysHistory: number;
    calendarMaxDate: Date;
    calendarMinDate: Date;
    initialDateRangeSelection: Date[] | undefined;
    onDateRangeSelectedFromAlDateRangeSelector: EventEmitter<DateRangeSelection>;
    onClosedAlDateRangeSelector: EventEmitter<DateRangeSelection>;
    onShowAlDateRangeSelector: EventEmitter<DateRangeSelection>;
    onSelectFixedRangeAlDateRangeSelector: EventEmitter<DateRangeSelection>;
    onDateRangeSelected: EventEmitter<Date[]>;
    onButtonClicked: EventEmitter<{
        event: MouseEvent;
    }>;
    datePicker: Calendar;
    alDateSelector: AlDateRangeSelectorComponent;
    dateRange: Date[];
    showDateSelector: boolean;
    previousState: Date[];
    ngOnChanges(changes: SimpleChanges): void;
    /**
    *  @method toggleSelectorVisibility
    *
    *  Toggles the Date Selector visibility
    */
    toggleSelectorVisibility(): void;
    selectedDateRange(): void;
    selectedSingleDate(): void;
    onClickAddButton(event: MouseEvent): void;
    dateRangeSelectedFromAlDateRangeSelector(event: DateRangeSelection): void;
    closedAlDateRangeSelector(event: DateRangeSelection): void;
    showAlDateRangeSelector(event: DateRangeSelection): void;
    selectFixedRangeAlDateRangeSelector(event: DateRangeSelection): void;
    /**
     * close the calender on click of cancel
     */
    close(): void;
    /**
    * reset the calender on click of clear
    */
    clear(): void;
    setDateRange(dateRange: DateRangeSelection, emit?: boolean): void;
    static ɵfac: i0.ɵɵFactoryDef<AlContentHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlContentHeaderComponent, "al-content-header", never, { "icon": "icon"; "iconConfig": "iconConfig"; "title": "title"; "descriptionHeader": "descriptionHeader"; "showAddButton": "showAddButton"; "disableAddButton": "disableAddButton"; "addButtonTooltip": "addButtonTooltip"; "addMenuItems": "addMenuItems"; "defaultDate": "defaultDate"; "showCalendar": "showCalendar"; "showTime": "showTime"; "dateTimePlaceholder": "dateTimePlaceholder"; "defaultFixedRanges": "defaultFixedRanges"; "returnTimeFrame": "returnTimeFrame"; "showTimePicker": "showTimePicker"; "placeholder": "placeholder"; "selectorTitle": "selectorTitle"; "customRangeTitle": "customRangeTitle"; "calendarMaxDaysHistory": "calendarMaxDaysHistory"; "calendarMaxDate": "calendarMaxDate"; "calendarMinDate": "calendarMinDate"; "initialDateRangeSelection": "initialDateRangeSelection"; }, { "onDateRangeSelectedFromAlDateRangeSelector": "onDateRangeSelectedFromAlDateRangeSelector"; "onClosedAlDateRangeSelector": "onClosedAlDateRangeSelector"; "onShowAlDateRangeSelector": "onShowAlDateRangeSelector"; "onSelectFixedRangeAlDateRangeSelector": "onSelectFixedRangeAlDateRangeSelector"; "onDateRangeSelected": "onDateRangeSelected"; "onButtonClicked": "onButtonClicked"; }, never, never>;
}
