import { EventEmitter, SimpleChanges } from '@angular/core';
import { SelectItem } from 'primeng-lts/api';
import { AlSearchBarComponent } from '../al-search-bar/al-search-bar.component';
import { AlToolbarContentConfig, AlViewByItem } from '../types/al-generic.types';
import * as i0 from "@angular/core";
export declare class AlContentToolbarComponent {
    config: AlToolbarContentConfig;
    onOrderBy: EventEmitter<string>;
    onSearched: EventEmitter<string>;
    onFiltersSelection: EventEmitter<string[]>;
    onSortSelection: EventEmitter<string>;
    onGroupSelection: EventEmitter<string>;
    onSelectAll: EventEmitter<boolean>;
    onViewSelection: EventEmitter<string>;
    alSearchBar: AlSearchBarComponent;
    state: {
        showSelectAll: boolean;
        selectAll: boolean;
        showFilters: boolean;
        filters: {
            label: string;
            options: SelectItem[];
            selectedOptions: string[];
        };
        showSortBy: boolean;
        sort: {
            options: SelectItem[];
            selectedOption: string;
            order: string;
        };
        showGroupBy: boolean;
        group: {
            options: SelectItem[];
            selectedOption: string;
        };
        showSearch: boolean;
        search: {
            maxSearchLength: number;
            textPlaceHolder: string;
        };
        showViewBy: boolean;
        viewBy: AlViewByItem[];
        viewSelected: string;
    };
    showDateSelector: boolean;
    ngOnChanges(changes: SimpleChanges): void;
    selectAllValues(): void;
    sort(): void;
    handleFilterSelection(): void;
    handleSortSelection(): void;
    handleGroupSelection(): void;
    handleViewSelection(): void;
    /**
      * Emit the event search
      */
    applyTextFilter(searchInput: string): void;
    setTextFilter(searchInput: string): void;
    uncheckAllOption(): void;
    static ɵfac: i0.ɵɵFactoryDef<AlContentToolbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlContentToolbarComponent, "al-content-toolbar", never, { "config": "config"; }, { "onOrderBy": "onOrderBy"; "onSearched": "onSearched"; "onFiltersSelection": "onFiltersSelection"; "onSortSelection": "onSortSelection"; "onGroupSelection": "onGroupSelection"; "onSelectAll": "onSelectAll"; "onViewSelection": "onViewSelection"; }, never, never>;
}
