/**
 * External Content Directive
 *
 * @author Kevin <knielsen@alertlogic.com>
 *
 * @copyright Alert Logic, Inc 2020
 */
import { AlBundledContentDescriptor } from '@al/core';
import { OnChanges } from '@angular/core';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class AlExternalContentComponent implements OnChanges {
    sanitizer: DomSanitizer;
    type: "html" | "text";
    category: string;
    bundleId: string;
    resourceId: string;
    content: SafeHtml;
    constructor(sanitizer: DomSanitizer);
    ngOnChanges(): void;
    retrieveExternalContent(category: string, bundleId: string, resourceId: string): Promise<void>;
    installExternalContent(contentDescriptor: AlBundledContentDescriptor): Promise<void>;
    applyResourceAdjustments(content: string): string;
    static ɵfac: i0.ɵɵFactoryDef<AlExternalContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlExternalContentComponent, "al-external-content", never, { "type": "type"; "category": "category"; "bundleId": "bundleId"; "resourceId": "resourceId"; }, {}, never, never>;
}
