import { AlCardstackValueDescriptor, AlCardstackPropertyDescriptor } from '@al/core';
export interface AlFilterDescriptor {
    showFiltersCount?: boolean;
    hideEmptyFilterValues?: boolean;
    hideNotSelectedValues?: boolean;
    filterValueLimit?: number;
    filterValueIncrement?: number;
    expanded?: boolean;
    showMoreType?: "popover" | "plain" | "accordion";
    showClearFilter?: boolean;
    showSearch?: boolean;
    showToolTip?: boolean;
    toolTipText?: string;
    showHelpText?: boolean;
    helpText?: string;
    highlight?: boolean;
    activeIcon?: boolean;
    showMoreNoActive?: boolean;
    showMoreZeros?: boolean;
    capitalizeCaptions?: boolean;
}
/**
 * Filter values extend the underlying value descriptor managed by cardstack.
 */
export interface AlUiFilterValue extends AlCardstackValueDescriptor {
    cssClasses: string[];
}
/**
 * Filters extend the underlying property descriptor managed by cardstack.
 */
export interface AlUiFilter extends AlCardstackPropertyDescriptor {
    shown: number;
    children?: AlUiFilter[];
    orderBy?: string;
    orderDirection?: string;
}
