import { OverlayPanel } from 'primeng-lts/overlaypanel';
import { EventEmitter, SimpleChanges, ElementRef } from '@angular/core';
import { AlFilterDescriptor, AlUiFilter, AlUiFilterValue } from './al-filter-descriptor.type';
import { AlCardstackValueDescriptor } from '@al/core';
import * as i0 from "@angular/core";
export declare class AlFilterComponent {
    filters: AlUiFilter[];
    alFilterConfig: AlFilterDescriptor;
    onClick: EventEmitter<AlUiFilterValue>;
    onClearAllFilters: EventEmitter<any>;
    popoverModal: OverlayPanel;
    searchFilterKey: ElementRef;
    filterConfig: {
        showFiltersCount: boolean;
        hideEmptyFilterValues: boolean;
        hideNotSelectedValues: boolean;
        filterValueLimit: number;
        filterValueIncrement: number;
        expanded: boolean;
        showMoreType: string;
        showClearFilter: boolean;
        showSearch: boolean;
        showToolTip: boolean;
        toolTipText: string;
        helpText: string;
        showHelpText: boolean;
        highlight: boolean;
        activeIcon: boolean;
        showMoreZeros: boolean;
        showMoreNoActive: boolean;
        capitalizeCaptions: boolean;
    };
    searchShowMorekey: string;
    clearFilter: boolean;
    positionLeft: string;
    marginStyle: {
        'margin-left': string;
    };
    lastFilterSelection: any;
    ngOnChanges(changes: SimpleChanges): void;
    selectedFilter(vDescriptor: AlUiFilterValue, event: Event): void;
    showMoreFilterValues(filterProperty: AlUiFilter): void;
    onFilterOpened(filterProperty: AlUiFilter): void;
    filterTrackByFn(index: number, item: AlUiFilter): string;
    filterItemTrackByFn(index: number, item: AlUiFilterValue): string;
    applyShowMoreSearchFilter(searchInput: string): void;
    toFilterValue(vDescr: AlCardstackValueDescriptor): AlUiFilterValue;
    clearAllFilters(): void;
    private classifyFilterValue;
    private setUpFilterData;
    static ɵfac: i0.ɵɵFactoryDef<AlFilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlFilterComponent, "al-filter", never, { "filters": "filters"; "alFilterConfig": "alFilterConfig"; }, { "onClick": "onClick"; "onClearAllFilters": "onClearAllFilters"; }, never, never>;
}
