import { OnChanges, SimpleChanges, ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export interface ContainerStyles {
    opacity: string;
    display: string;
    top: string;
    left: string;
    width?: string;
    height?: string;
    'min-width'?: string;
    'min-height'?: string;
}
export declare class AlGenericTooltipComponent implements OnChanges {
    private element;
    /**
     *  This can be either 'left' or 'bottom', and determines the orientation of the arrow.
     */
    anchor: 'left' | 'bottom';
    width: string;
    height: string;
    minWidth: string;
    minHeight: string;
    offsetX: number;
    offsetY: number;
    containerStyles: ContainerStyles;
    constructor(element: ElementRef);
    /**
     *  On Changes lifecycle handler
     *  Makes sure that changed @Inputs() are merged into the containerStyles property used to provide
     *  dimensions or other properties of the dialog.
     */
    ngOnChanges(changes: SimpleChanges): void;
    /**
     *  Shows the tooltip at a specified offset.
     *
     *  @param {number} x The horizontal offset for the tooltip's indicator point to originate from.
     *  @param {number} y The vertical offset for the tooltip's indicator point to originate from.
     */
    show(x: number, y: number): void;
    hide(): void;
    /**
     *  Syncronizes @Input() properties with containerStyles.
     */
    private syncInputs;
    static ɵfac: i0.ɵɵFactoryDef<AlGenericTooltipComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlGenericTooltipComponent, "al-generic-tooltip", never, { "anchor": "anchor"; "width": "width"; "height": "height"; "minWidth": "minWidth"; "minHeight": "minHeight"; "offsetX": "offsetX"; "offsetY": "offsetY"; }, {}, never, ["header", ".content"]>;
}
