/**
 * This is based on the AlIdentityIconComponent from @o3/design, in turn based on the
 * NameColoredSquareComponent from dunkirk project, etc, etc.
 *
 * @author Cristhian Rendón <crendon@alertlogic.com>
 * @author Gisler Garces <ggarces@alertlogic.com>
 * @author McNielsen <knielsen@alertlogic.com>
 *
 * @copyright Alert Logic, Inc 2019
 */
import { OnChanges, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AlIdentityIconComponent implements OnChanges {
    /**
     * @property The full name of the entity
     */
    name: string;
    /**
     *  @property Indicates whether the icon should be circular instead of the rectangular default
     */
    circular: boolean;
    /**
     * @property If true, the full name will be included after the initial icon.
     */
    withLegend: boolean;
    /**
     * @property display mode; can be 'big' or 'small'
     */
    display: string;
    initials: string;
    classes: string;
    private maxLengthInitials;
    ngOnChanges(changes: SimpleChanges): void;
    private getColorClass;
    static ɵfac: i0.ɵɵFactoryDef<AlIdentityIconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlIdentityIconComponent, "al-identity-icon", never, { "name": "name"; "circular": "circular"; "withLegend": "withLegend"; "display": "display"; }, {}, never, never>;
}
