/**
 * AlInitialsComponent provides a icon-like initials component used as a convenient shorthand to represent
 * unique individuals or accounts.  It is based on the NameColoredSquareComponent from dunkirk project, originally written
 * by Gisler Garces for the user management functionality in ozone.
 *
 * @author Gisler Garces <ggarces@alertlogic.com>
 * @author Cristhian Rendón <crendon@alertlogic.com>
 * @author McNielsen <knielsen@alertlogic.com>
 *
 * @copyright Alert Logic, Inc 2018
 */
import { OnInit, OnChanges, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AlInitialsComponent implements OnInit, OnChanges {
    /**
     *  @property entity The account being displayed in this tile.
     */
    name: string;
    /**
     *  @property the subname, this is going to be shown bellow the initial name.
     */
    subname: string;
    /**
     *  @property in order to show the account letters or the user letters.
     */
    circular: boolean;
    /**
     *  @property Indicates whether or not the account is "selected" or not.
     */
    selected: boolean;
    /**
     *  @property Indicates whether or not the initial should render simple without checkboxes.
     */
    simple: boolean;
    /**
     *  @property Indicates whether or not the full name should be displayed alongside the icon as a label.
     */
    labelled: boolean;
    letters: string;
    hovering: boolean;
    classes: {
        [className: string]: boolean;
    };
    /**
     * When the component inits use the account name to properly color the tile.
     */
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * Returns the reference of the clicked account.
     */
    onClick(): void;
    toggleSelection(): void;
    refresh(): void;
    onHoverStart(): void;
    onHoverEnd(): void;
    static ɵfac: i0.ɵɵFactoryDef<AlInitialsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlInitialsComponent, "al-initials", never, { "name": "name"; "subname": "subname"; "circular": "circular"; "selected": "selected"; "simple": "simple"; "labelled": "labelled"; }, {}, never, never>;
}
