/**
 *  Imports
 */
import { AlStopwatch } from '@al/core';
import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { AlActiveNotification, AlNotification } from '../types';
import * as i0 from "@angular/core";
export declare class AlNotificationPanelComponent implements OnInit, OnDestroy {
    /**
     *  External accessible inputs
     */
    alertSource: EventEmitter<AlNotification>;
    displayMaximum: number;
    allowExternalContent: boolean;
    /**
     * Outputs
     */
    onButtonClicked: EventEmitter<void>;
    onDismissFlush: EventEmitter<void>;
    /**
     *  Component instance data
     */
    notifications: AlActiveNotification[];
    refreshTimer: AlStopwatch;
    /**
     *  On View Initialization
     */
    ngOnInit(): void;
    /**
     *  On View Destruction
     */
    ngOnDestroy(): void;
    /**
     *  On notification received
     */
    onNotificationReceived: (notification: AlNotification) => void;
    /**
     *  On tick - clean up our active notifications list
     */
    onRefresh: () => void;
    /**
     *  Type predicate for EventEmitter<AlNotification>
     */
    isSubscribable(emitter: EventEmitter<AlNotification>): emitter is EventEmitter<AlNotification>;
    /**
     * Clean the notification panel
     */
    flush: () => void;
    /**
     * Emit the event when the user clicks the button
     */
    onButtonClick(): void;
    flushByIndex(index: number): void;
    static ɵfac: i0.ɵɵFactoryDef<AlNotificationPanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlNotificationPanelComponent, "al-notification-panel", never, { "alertSource": "alertSource"; "displayMaximum": "displayMaximum"; "allowExternalContent": "allowExternalContent"; }, { "onButtonClicked": "onButtonClicked"; "onDismissFlush": "onDismissFlush"; }, never, ["*"]>;
}
