/**
 * AlScoreCountDescriptor show the scores with icons :D.
 * @author Cristhian Fuertes <cristhian.fuertes@alertlogic.com>
 * @author Fabio Miranda <fmiranda@alertlogic.com>
 * @author maryit sanchez <msanchez@alertlogic.com>
 *
 * @copyright Alert Logic, Inc 2018
 *
 * Sample about how to use it:
 * add in your ts component
    import {AlScoreCountDescriptor} from '../../design/types/al-score-count-descriptor.type';

 * add in your html
    <al-score-count [config]="alScoreCountConfig" [displayMode]="'big'" [name]="'Exposures'"></al-score-count>

 * where
    public alScoreCountConfig = AlScoreCountDescriptor.import({
        high: 10,
        medium: 0,
        low: 30,
        none: 20,
    });
 */
import { EventEmitter } from '@angular/core';
import { AlScoreCountDescriptor } from '../types/al-score-count-descriptor.type';
import * as i0 from "@angular/core";
export declare class AlScoreCountComponent {
    config: AlScoreCountDescriptor;
    displayMode?: string;
    name?: string;
    showCount?: boolean;
    limit4Levels?: boolean;
    selected?: string;
    threatiness: number;
    onSelected: EventEmitter<string>;
    selectItem(severity: string): void;
    static ɵfac: i0.ɵɵFactoryDef<AlScoreCountComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlScoreCountComponent, "al-score-count", never, { "config": "config"; "displayMode": "displayMode"; "name": "name"; "showCount": "showCount"; "limit4Levels": "limit4Levels"; "selected": "selected"; "threatiness": "threatiness"; }, { "onSelected": "onSelected"; }, never, never>;
}
