import { EventEmitter, OnInit, ElementRef } from '@angular/core';
import { FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
/**
 * This commponent emits the onSearchChanged event, used to acknowledge
 * the search event in varying components.
 */
export declare class AlSearchBarComponent implements OnInit {
    placeholder: string;
    width: string;
    showLabel: boolean;
    autofocus: boolean;
    maxSearchLength: number;
    searchIcon: string;
    searchPatternRegex: string | null;
    invalidSearchPatternText: string | null;
    inputId: string;
    onSearchChanged: EventEmitter<string>;
    onFocusOut: EventEmitter<FocusEvent>;
    onInvalidSearchPattern: EventEmitter<void>;
    searchBarEleRef: ElementRef;
    searchControl: FormControl;
    invalidPattern: boolean;
    private lastEmittedValue;
    private delayDebounce;
    ngOnInit(): void;
    /**
      * Emit the search information
      */
    ngAfterViewInit(): void;
    clear(): void;
    onFocusOutEvent(event: FocusEvent): void;
    /**
     * Function to execute the search manually
     */
    executeSearch(): void;
    /**
     * Function to set the focus on the search input
     */
    setFocus(): void;
    /**
     *
     * @param search string to search
     * @param executeSearch whether the search should be executed after the input receive the new value.
     */
    setSearchValue(search: string, executeSearch?: boolean): void;
    static ɵfac: i0.ɵɵFactoryDef<AlSearchBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlSearchBarComponent, "al-search-bar", never, { "placeholder": "placeholder"; "width": "width"; "showLabel": "showLabel"; "autofocus": "autofocus"; "maxSearchLength": "maxSearchLength"; "searchIcon": "searchIcon"; "searchPatternRegex": "searchPatternRegex"; "invalidSearchPatternText": "invalidSearchPatternText"; "inputId": "inputId"; }, { "onSearchChanged": "onSearchChanged"; "onFocusOut": "onFocusOut"; "onInvalidSearchPattern": "onInvalidSearchPattern"; }, never, never>;
}
