import { EventEmitter } from '@angular/core';
import { AlSelectItem } from '../types';
import * as i0 from "@angular/core";
export declare class AlSelectableListComponent {
    options: AlSelectItem[];
    readonly: boolean;
    allowRemoval: boolean;
    allowSelectAll: boolean;
    onSelectionChanged: EventEmitter<AlSelectItem[]>;
    allChecked: boolean;
    hasSelectedItems: boolean;
    /**
     * Function which removes the item from the options list.
     * @param item the item to be removed from the options list.
     */
    removeItem(item: AlSelectItem): void;
    /**
     * Function which toggles the options when clicking on the select all checkbox
     */
    toggleCheckAll(): void;
    /**
     * Function which toggles the hasSelectedItems and allChecked variable
     */
    toggleCheck(): void;
    /**
     * Functions which iterates over the selected items and remove those.
     */
    removeSelectedItems(): void;
    static ɵfac: i0.ɵɵFactoryDef<AlSelectableListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlSelectableListComponent, "al-selectable-list", never, { "options": "options"; "readonly": "readonly"; "allowRemoval": "allowRemoval"; "allowSelectAll": "allowSelectAll"; }, { "onSelectionChanged": "onSelectionChanged"; }, never, never>;
}
