import { EventEmitter, ElementRef, AfterViewInit, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AlTimeSelectorComponent implements AfterViewInit {
    element: ElementRef;
    renderer: Renderer2;
    /**
     * Inputs, properties to handle visual behaviour
     */
    get time(): Date;
    set time(time: Date);
    showSeconds: boolean;
    /**
     * Outputs
     */
    onTimeSelected: EventEmitter<Date>;
    /**
     * Public variables
     */
    timeParts: {
        hours: number;
        minutes: number;
        seconds: number;
    };
    private myTime;
    constructor(element: ElementRef, renderer: Renderer2);
    ngAfterViewInit(): void;
    /**
     * Handle date selection from calendar
     * @param date string, date string representation
     */
    timeChange(): void;
    static ɵfac: i0.ɵɵFactoryDef<AlTimeSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlTimeSelectorComponent, "al-time-selector", never, { "time": "time"; "showSeconds": "showSeconds"; }, { "onTimeSelected": "onTimeSelected"; }, never, never>;
}
