import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export interface AlTimezoneItem {
    label: string;
    value: string;
    utcOffset: string;
}
export declare const defaultTimeZoneItem: AlTimezoneItem;
export declare class AlTimeZoneSelectorComponent {
    /**
     * Set the initial time zone if provided (e.g. 'Etc/UTC')
     */
    initialTimeZone?: string;
    /**
     * Outputs
     */
    onTimeZoneSelected: EventEmitter<AlTimezoneItem>;
    /**
     * Public variables
     */
    selectedTimeZone?: AlTimezoneItem;
    timeZoneOptions: AlTimezoneItem[];
    filteredTimeZoneOptions: AlTimezoneItem[];
    ngOnInit(): void;
    onSelectTimezone(timezone: AlTimezoneItem): void;
    searchTimezone(event: any): void;
    /**
     * Get all timezone options
     */
    private getAllTimeZoneOptions;
    /**
     * Search for a timezoneItem from timezone value in the
     * timeZoneOptions array (contains all available timezone options from backend),
     * if no param is passed will search one using timezone local browser
     * @param timezoneValue
     */
    private getTimezoneItem;
    /**
     * Creates a timezone item based in the data coming from scan-scheduler endpoint
     * @param timezoneName Time zone name representation (e.g. Etc/UTC)
     * @param tzOffset The time zone offset thia can be utc or dst if applies
     */
    private setTimezoneItem;
    static ɵfac: i0.ɵɵFactoryDef<AlTimeZoneSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlTimeZoneSelectorComponent, "al-time-zone-selector", never, { "initialTimeZone": "initialTimeZone"; }, { "onTimeZoneSelected": "onTimeZoneSelected"; }, never, never>;
}
