import { ElementRef, EventEmitter, OnChanges, QueryList, SimpleChanges } from '@angular/core';
import { QuickSearch, HighlightTextService, Match, StringSearchObj, HtmlViewService } from '../../services';
import * as i0 from "@angular/core";
export declare class AlHighlightTextComponent implements OnChanges {
    private highlightService;
    htmlService: HtmlViewService;
    irHighlightTextOptions: StringSearchObj[];
    irHighlightTextComp: string;
    irRemoveNonPrintable: boolean;
    irPcre: Array<{
        str: string;
        regex: RegExp;
    }>;
    irPcreActive: boolean;
    irHexMode: boolean;
    hexString?: string;
    irDisplayHex?: string;
    irQuickSearchItems: QuickSearch[];
    irRegisterMarks: EventEmitter<Match[]>;
    irSelectionPosition: EventEmitter<{
        start: number;
        end: number;
    }>;
    irLineNumbers: EventEmitter<number>;
    renderThis: Match[];
    selection: {
        start: number;
        end: number;
    };
    openModal: boolean;
    marksVC: QueryList<ElementRef>;
    constructor(highlightService: HighlightTextService, htmlService: HtmlViewService);
    ngOnChanges(changes: SimpleChanges): void;
    handleSelection(): void;
    highlightSelection(selection: {
        start: number;
        end: number;
    }): void;
    cleanSelection(event: MouseEvent): void;
    private escapeRegExp;
    /**
     * Renders the element content with highlighting
     */
    private highlightSearchTerm;
    static ɵfac: i0.ɵɵFactoryDef<AlHighlightTextComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlHighlightTextComponent, "[irHighlightTextComp]", never, { "irHighlightTextOptions": "irHighlightTextOptions"; "irHighlightTextComp": "irHighlightTextComp"; "irRemoveNonPrintable": "irRemoveNonPrintable"; "irPcre": "irPcre"; "irPcreActive": "irPcreActive"; "irHexMode": "irHexMode"; "hexString": "hexString"; "irDisplayHex": "irDisplayHex"; "irQuickSearchItems": "irQuickSearchItems"; }, { "irRegisterMarks": "irRegisterMarks"; "irSelectionPosition": "irSelectionPosition"; "irLineNumbers": "irLineNumbers"; }, never, never>;
}
