/**
 * al-texarea
 *
 * @author Rob Parker <robert.parker@alertlogic.com>
 *
 * @copyright Alert Logic, Inc 2021
 *
 */
import { OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl, NgControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class AlTextAreaComponent implements OnInit, ControlValueAccessor {
    ngControl: NgControl;
    label?: string;
    placeholder?: string;
    type?: string;
    name?: string;
    cols?: number;
    rows?: number;
    id?: string;
    value: string;
    disabled?: boolean;
    autofocus: boolean;
    required?: boolean;
    hint?: string;
    tip?: string;
    error?: string;
    verticalSpace?: boolean;
    requiredError?: string;
    formControl?: FormControl;
    formControlName: string;
    constructor(ngControl: NgControl);
    get control(): import("@angular/forms").AbstractControl;
    onChanged: any;
    onTouched: any;
    ngOnInit(): void;
    onValueChange(newValue?: string): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(val: boolean): void;
    static ɵfac: i0.ɵɵFactoryDef<AlTextAreaComponent, [{ optional: true; self: true; }]>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlTextAreaComponent, "al2-textarea", never, { "label": "label"; "placeholder": "placeholder"; "type": "type"; "name": "name"; "cols": "cols"; "rows": "rows"; "id": "id"; "value": "value"; "disabled": "disabled"; "autofocus": "autofocus"; "required": "required"; "hint": "hint"; "tip": "tip"; "error": "error"; "verticalSpace": "verticalSpace"; "requiredError": "requiredError"; "formControl": "formControl"; "formControlName": "formControlName"; }, {}, never, never>;
}
