import * as i0 from "@angular/core";
export declare class AlGoogleAnalyticsService {
    private trackingId;
    constructor();
    /**
     * enforce usage of an specific trackingID
     * @param trackingId
     */
    setTrackingId(trackingId: string): void;
    /**
     * enforce usage of an specific trackingID
     * @param userId string
     */
    setUserId(userId: string): void;
    /**
     * Send an event to Google Analitycs
     * @param eventAction s the string that will appear as the event action in Google Analytics Event reports.
     * @param eventCategory  is the string that will appear as the event category.
     * @param eventLabel is the string that will appear as the event label.
     * @param eventValue is a non-negative integer that will appear as the event value.
     */
    sendEvent(eventAction: string, eventCategory: string, eventLabel?: string, eventValue?: number, customParams?: {
        [k: string]: string;
    }): void;
    /**
     * call the gtag() global function to POST data to Google Analytics
     * @param params
     *
     */
    callGtag(params: unknown[]): void;
    static ɵfac: i0.ɵɵFactoryDef<AlGoogleAnalyticsService, never>;
    static ɵprov: i0.ɵɵInjectableDef<AlGoogleAnalyticsService>;
}
