import * as i0 from "@angular/core";
export declare class ChromaHash {
    chromahash(str: string): string;
    checkBrightness(str: string): string;
    pickTextColorBasedOnBgColorAdvanced(bgColor: string, lightColor?: string, darkColor?: string): string;
    private djb2;
    private to256ish;
    private toHex;
    /**
     * Converts an RGB color value to HSL. Conversion formula
     * adapted from http://en.wikipedia.org/wiki/HSL_color_space.
     * Assumes r, g, and b are contained in the set [0, 255] and
     * returns h, s, and l in the set [0, 1].
     *
     * @param     r       The red color value
     * @param     g       The green color value
     * @param     b       The blue color value
     * @return  Array           The HSL representation
     */
    private rgbToHsl;
    private hue2rgb;
    /**
     * Converts an HSL color value to RGB. Conversion formula
     * adapted from http://en.wikipedia.org/wiki/HSL_color_space.
     * Assumes h, s, and l are contained in the set [0, 1] and
     * returns r, g, and b in the set [0, 255].
     *
     * @param   h       The hue
     * @param   s       The saturation
     * @param   l       The lightness
     * @return  Array           The RGB representation
     */
    private hslToRgb;
    static ɵfac: i0.ɵɵFactoryDef<ChromaHash, never>;
    static ɵprov: i0.ɵɵInjectableDef<ChromaHash>;
}
