import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { AlTreeTableColumnDef, AlTreeTableColumnType, AlTreeOptionItem } from '../types/al-tree-table.types';
import { AlToolbarContentConfig } from '../../types/al-generic.types';
import * as i0 from "@angular/core";
export declare class AlTreeTableComponent implements OnInit, OnChanges {
    data: AlTreeOptionItem[];
    columns: AlTreeTableColumnDef[];
    visibleRows: number;
    showContentToolbar: boolean;
    loading: boolean;
    toolbarConfig: AlToolbarContentConfig;
    zeroStateIcon: string;
    zeroStateClassIcon: string;
    zeroStateText: string;
    multiselection: boolean;
    onDidSelectRow: EventEmitter<AlTreeOptionItem[]>;
    onDidDeselectRow: EventEmitter<AlTreeOptionItem[] | void>;
    onDidSelectFilters: EventEmitter<string[]>;
    treeTableColumnType: typeof AlTreeTableColumnType;
    selectedIndexRow: number;
    selectedDepth: number;
    selectedId: string | number;
    filteredData: AlTreeOptionItem[];
    selectedItems: AlTreeOptionItem[];
    expanded: boolean;
    startItem: AlTreeOptionItem | null;
    endItem: AlTreeOptionItem | null;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    selectRow(event: PointerEvent, item: AlTreeOptionItem, index: number, depth: number): void;
    toggleExpand(event: Event, node: AlTreeOptionItem): void;
    toggleAll(event: Event, items: AlTreeOptionItem[], expandedValue?: boolean): void;
    onSearch(termToSearch: string): void;
    onSelectedFilters(filters: string[]): void;
    private cleanRows;
    private unselectAllRows;
    private updateEntryData;
    private getAllSelected;
    private resetSelectedValues;
    private getParentRow;
    private selectSiblingsRows;
    static ɵfac: i0.ɵɵFactoryDef<AlTreeTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlTreeTableComponent, "al-tree-table", never, { "data": "data"; "columns": "columns"; "visibleRows": "visibleRows"; "showContentToolbar": "showContentToolbar"; "loading": "loading"; "toolbarConfig": "toolbarConfig"; "zeroStateIcon": "zeroStateIcon"; "zeroStateClassIcon": "zeroStateClassIcon"; "zeroStateText": "zeroStateText"; "multiselection": "multiselection"; }, { "onDidSelectRow": "onDidSelectRow"; "onDidDeselectRow": "onDidDeselectRow"; "onDidSelectFilters": "onDidSelectFilters"; }, never, ["[detailPanel]"]>;
}
