import { SelectItem } from "primeng-lts/api";
export declare class DeploymentSummaryCompactDescriptor {
    /**
     * Bottom border color style for the entire component
     * Options: default-line, aws-line, azure-line, datacenter-line
     * Also hexadecimal colors are soported, example: #30aac7
     */
    lineColor: string;
    /**
     * Blocks of information to the left of the component
     * Used for positionated a title or a combobox
     */
    infoBlocks: InfoBlocksDescritor[];
    /**
     * Quantity information block to the right of the component
     */
    summaryBlocks: SummaryBlocks[];
    constructor();
    /**
     *  import
     *
     *  @param rawData object with the attributes to set the card list
     *  @return Object of type DeploymentSummaryCompactDescriptor
     */
    import(rawData: any): DeploymentSummaryCompactDescriptor;
    getClassColor(color: string): string;
    isHex(color: string): boolean;
    getBorderColorHex(): string;
}
export declare class InfoBlocksDescritor {
    /**
     * Key to identify the block, required*
     */
    infoBlockKey: string;
    /**
     * Regular Icon class or Alert Logic Icon Class example: 'al al-subnet' (optional)
     */
    infoBlockIconClass: string;
    /**
     * Material icon name example: 'note_add' (Optional)
     */
    infoBlockIconMaterial: string;
    /**
     * Default key for auto selecting one option in the combobox (Optional)
     * Used specially when the combobox is requered
     */
    infoBlockOptionDefaultKey: string;
    /**
     * Name for displaying above of the infoBlockName or combobox
     */
    infoBlockLabelName: string;
    /**
     * Name for displaying if the combobox is not required
     */
    infoBlockName: string;
    /**
     * Combobox options
     */
    infoBlockOptions: SelectorOptionDescriptor[];
    constructor();
    import(rawData: any): InfoBlocksDescritor;
}
export declare class SelectorOptionDescriptor {
    icon?: string;
    /**
     * Name of description to show into the combobox option
     */
    name: string;
    /**
     * Key to identify the option
     */
    key: string;
    /**
     * Put whatever you want in the object
     */
    data: {
        [key: string]: string;
    };
    constructor();
    import(rawData: any): SelectorOptionDescriptor;
}
export declare class SummaryBlocks {
    /**
     * Quantity of the summary block
     */
    quantity: number;
    /**
     * Regular Icon class or Alert Logic Icon Class example: 'al al-subnet'
     */
    iconClass: string;
    /**
     * Material icon name example: 'note_add'
     */
    iconMaterial: string;
    /**
     * Label description of the summary block
     */
    label: string;
    constructor();
    /**
     *  import
     *
     *  @param rawData object with the attributes to set the card list
     *  @return Object of type SummaryBlocks
     */
    import(rawData: any): SummaryBlocks;
}
export interface SummaryCompactHeaderSelectorConfig {
    items: SelectItem[];
    selectedItem: SelectItem | undefined;
    selectedValue: string | undefined;
}
