/**
 * List of custom event names to be used when capturing any required usage metrics across our consoles
 */
export declare enum AlTrackingMetricEventName {
    UsageTrackingEvent = "ui.usagetrackingevent"
}
/**
 * Consistent event categories to be used across our applications for sending usage metrics to our analytics provider - Google Analytics currently
 * Please update this list with any further categories and use accordingly rather than supplying raw names to our
 * AlNavigationService.track(...) and AlGooglTagManagerService.trackCustomEvent(...) implementations...
 */
export declare enum AlTrackingMetricEventCategory {
    GenericConsoleAction = "Generic Console Action",
    GenericConsoleException = "Generic Console Exception",
    DashboardAction = "Dashboard Action",
    DashboardWidgetAction = "Dashboard Widget Action",
    HealthAction = "Health Action",
    ExposuresAction = "Exposures Action",
    IncidentsAction = "Incidents Action",
    ConfigurationAction = "Configuration Action",
    OverviewAction = "Overview Action",
    SearchAction = "Search Action",
    EndpointsAction = "Endpoints Action",
    VulnerabilityLibraryAction = "Vulnerability Library Action",
    AccountsAction = "Accounts Action",
    PlaybooksAction = "Playbooks Action",
    ReportsAction = "Reports Action",
    ExternalDatacenterAction = "Legacy Defender Action",
    MarketplaceAction = "Marketplace Action",
    TicAction = "TIC Action"
}
